<form action="<?=$links['submit']?>" method="post">
<table cellpadding="2" cellspacing="0">
	<thead>
		<tr>
			<th colspan="2" style="text-align: center;">Formular eintragen</th>
		</tr>
	</thead>
	<tbody class="steel1" style="vertical-align: top;">
		<tr>
			<td>
				Fr: <span style="color: red;">*</span>
			</td>
			<td>
				<input type="radio" name="status" id="student" value="student" checked="checked"/>
				<label for="student">Student</label>
				<input type="radio" name="status" id="dozent" value="teacher"/>
				<label for="dozent">Dozent</label>
			</td>
		</tr>
		<tr>
			<td>
				<label for="category">Kategorie: <span style="color: red;">*</span></label>
			</td>
			<td>
				<select name="categoryid" id="category" style="width: 190px;">
				<?php foreach ($categories as $category): ?>
					<option value="<?=$category['id']?>"><?=$category['name']?></option>
				<?php endforeach; ?>
					<option value="-1">Neue Kategorie --&gt;</option>
				</select>
				<input type="text" name="new_category" id="new_category" value="" style="width: 200px;"/>
			</td>
		</tr>
		<tr>
			<td>
				<label for="url">URL: <span style="color: red;">*</span></label>
			</td>
			<td>
				<input type="text" name="url" id="url" value="" style="width: 400px;"/>
			</td>
		</tr>
		<tr>
			<td>
				<label for="name">Name: <span style="color: red;">*</span></label>
			</td>
			<td>
				<input type="text" name="name" id="name" value="" style="width: 400px;"/>
			</td>
		</tr>
		<tr>
			<td>
				<label for="description">Beschreibung:</label>
			</td>
			<td>
				<textarea name="description" id="description" style="width: 400px; height: 100px;"></textarea>
			</td>
		</tr>
	</tbody>
	<tfoot class="steelgraulight">
		<tr>
			<td>
				<span style="color: red;">*</span> = Bentigte Felder
			</td>
			<td style="text-align: right;">
				<?=makebutton('eintragen', 'input', 'Eintragen')?>
				<a href="<?=$links['reset']?>"><?=makebutton('abbrechen', 'img')?></a>
			</td>
		</tr>
	</tfoot>
</table>
</form>

<br/>

<div style="border-bottom: 1px solid black;">
	<strong>Vorhandene Formulare</strong>
</div>

<table cellspacing="0" cellpadding="2" style="width: 100%;">
	<tbody>
		<tr>
			<th colspan="3"><a href="<?=$links['student_view']?>">Studenten</a></th>
		</tr>
	</tbody>
	<tbody>
	<?php if (empty($student_list)): ?>
		<tr class="steelgroup0">
			<td colspan="3">Keine Eintrge vorhanden!</td>
		</tr>
	<?php else: ?>
		<?php foreach ($student_list as $category): ?>
		<tr class="steelgroup6">
			<td colspan="3"><?=$category['name']?></td>
		</tr>
			<?php foreach ($category['urls'] as $index=>$url): ?>
			<tr class="<?=($index%2==0)?'steel1':'steelgraulight'?>">
				<td>
					<a href="<?=$url['url']?>" target="_blank"><?=$url['name']?></a>
				</td>
				<td><?=$url['description']?></td>
				<td>
					<a href="<?=$links['delete']?><?=$url['id']?>" onclick="return confirm('Diesen Link wirklich lschen?');">Lschen</a>
				</td>
			</tr>
			<?php endforeach; ?>
		<?php endforeach; ?>
	<?php endif; ?>
	</tbody>
	<tbody>
		<tr>
			<th colspan="3"><a href="<?=$links['teacher_view']?>">Dozenten</a></th>
		</tr>
	</tbody>
	<tbody>
	<?php if (empty($teacher_list)): ?>
		<tr class="steelgroup0">
			<td colspan="3">Keine Eintrge vorhanden!</td>
		</tr>
	<?php else: ?>
		<?php foreach ($teacher_list as $category): ?>
		<tr class="steelgroup6">
			<td colspan="3"><?=$category['name']?></td>
		</tr>
			<?php foreach ($category['urls'] as $index=>$url): ?>
			<tr class="<?=($index%2==0)?'steel1':'steelgraulight'?>">
				<td>
					<a href="<?=$url['url']?>" target="_blank"><?=$url['name']?></a>
				</td>
				<td><?=$url['description']?></td>
				<td>
					<a href="<?=$links['delete']?><?=$url['id']?>" onclick="return confirm('Diesen Link wirklich lschen?');">Lschen</a>
				</td>
			</tr>
			<?php endforeach; ?>
		<?php endforeach; ?>
	<?php endif; ?>
	</tbody>
</table>

<script type="text/javascript">
//<![CDATA[
document.getElementById('category').onchange = function()
{
	document.getElementById('new_category').disabled =
		(document.getElementById('category').value!='-1')
		? 'disabled'
		: '';
}
document.getElementById('category').onchange();
//]]>
</script>